com.icesoft.components.accessible.ext

## Class HtmlDataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries
            - - com.icesoft.components.accessible.ext.HtmlDataTable

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class HtmlDataTable
      extends com.icesoft.faces.component.panelseries.UISeries

  This is an extension of javax.faces.component.html.HtmlDataTable, which provides some additional behavior to this component such as:
  - changes the component's rendered state based on the authentication
  - maintain the sorting order, for a column within the dataTable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDataTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `int` | `getColNumber()`
    `java.lang.String` | `getColumnWidths()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeaderClassAtIndex(int index)`
    `java.lang.String` | `getHeaderClasses()` Return the value of the `headerClasses` property.
    `java.lang.String` | `getNextResizableTblColumnWidth()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getResizableColumnWidths()`
    `java.lang.Boolean` | `getScrollable()`
    `java.lang.String` | `getScrollHeight()`
    `java.lang.String` | `getSortColumn()` Return the value of the `sortColumn` property.
    `java.lang.String` | `getStyleClass()`
    `boolean` | `isClientOnly()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isResizable()`
    `java.lang.Boolean` | `isScrollable()`
    `boolean` | `isScrollFooter()`
    `boolean` | `isSortAscending()` Return the value of the `sortAscending` property.
    `protected void` | `iterate(javax.faces.context.FacesContext facesContext, javax.faces.event.PhaseId phase)`
    `void` | `processKids(javax.faces.context.FacesContext context, javax.faces.event.PhaseId phaseId, javax.faces.component.UIComponent kid)`
    `void` | `resetResizableTblColumnsWidthIndex()`
    `protected void` | `restoreChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `protected void` | `restoreChildrenState(javax.faces.context.FacesContext facesContext)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `protected void` | `saveChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `protected void` | `saveChildrenState(javax.faces.context.FacesContext facesContext)` Save state information for all descendant components, as described for `setRowIndex()`.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setClientOnly(boolean clientOnly)`
    `void` | `setColNumber(int colNumber)`
    `void` | `setColumnWidths(java.lang.String columnWidths)`
    `void` | `setHeaderClasses(java.lang.String headerClasses)` Set the value of the `headerClasses` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setResizable(boolean resizable)`
    `void` | `setResizableColumnWidths(java.lang.String columnWidths)`
    `void` | `setScrollable(boolean scrollable)`
    `void` | `setScrollable(java.lang.Boolean scrollable)`
    `void` | `setScrollFooter(boolean scrollFooter)`
    `void` | `setScrollHeight(java.lang.String scrollHeight)`
    `void` | `setSortAscending(boolean sortAscending)` Set the value of the `sortAscending` property.
    `void` | `setSortColumn(java.lang.String sortColumn)` Set the value of the `sortColumn` property.

    - ### Methods inherited from class com.icesoft.faces.component.panelseries.UISeries

      `getValue, synchWithPaginator, wrapDataModel`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `broadcast, ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, processDecodes, processUpdates, processValidators, queueEvent, restoreChildState, restoreSeriesState, saveChildState, saveSeriesState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDefaultEventName, getDir, getEventNames, getFrame, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFamily, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlDataTable

          public HtmlDataTable()

  - ### Method Detail

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `com.icesoft.faces.component.panelseries.UISeries`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `org.icefaces.impl.component.UISeriesBase`
      Throws:
        `java.io.IOException`

    - #### getSortColumn

          public java.lang.String getSortColumn()

      Return the value of the `sortColumn` property.

    - #### setSortAscending

          public void setSortAscending(boolean sortAscending)

      Set the value of the `sortAscending` property.

    - #### setSortColumn

          public void setSortColumn(java.lang.String sortColumn)

      Set the value of the `sortColumn` property.

    - #### isSortAscending

          public boolean isSortAscending()

      Return the value of the `sortAscending` property.

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getComponentType

          public java.lang.String getComponentType()

    - #### iterate

          protected void iterate(javax.faces.context.FacesContext facesContext,
                                 javax.faces.event.PhaseId phase)

      Overrides:
        `iterate` in class `org.icefaces.impl.component.UISeriesBase`

    - #### restoreChildrenState

          protected void restoreChildrenState(javax.faces.context.FacesContext facesContext)

      Overrides:
        `restoreChildrenState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveChildrenState

          protected void saveChildrenState(javax.faces.context.FacesContext facesContext)

      Save state information for all descendant components, as described for `setRowIndex()`.

      Overrides:
        `saveChildrenState` in class `org.icefaces.impl.component.UISeriesBase`

    - #### processKids

          public void processKids(javax.faces.context.FacesContext context,
                                  javax.faces.event.PhaseId phaseId,
                                  javax.faces.component.UIComponent kid)

    - #### getColNumber

          public int getColNumber()

    - #### setColNumber

          public void setColNumber(int colNumber)

    - #### getScrollable

          public java.lang.Boolean getScrollable()

    - #### isScrollable

          public java.lang.Boolean isScrollable()

    - #### setScrollable

          public void setScrollable(java.lang.Boolean scrollable)

    - #### setScrollable

          public void setScrollable(boolean scrollable)

    - #### getColumnWidths

          public java.lang.String getColumnWidths()

    - #### setColumnWidths

          public void setColumnWidths(java.lang.String columnWidths)

    - #### getScrollHeight

          public java.lang.String getScrollHeight()

    - #### setScrollHeight

          public void setScrollHeight(java.lang.String scrollHeight)

    - #### setHeaderClasses

          public void setHeaderClasses(java.lang.String headerClasses)

      Set the value of the `headerClasses` property.

    - #### getHeaderClasses

          public java.lang.String getHeaderClasses()

      Return the value of the `headerClasses` property.

    - #### getHeaderClassAtIndex

          public java.lang.String getHeaderClassAtIndex(int index)

    - #### restoreChild

          protected void restoreChild(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent uiComponent)

      Overrides:
        `restoreChild` in class `org.icefaces.impl.component.UISeriesBase`

    - #### saveChild

          protected void saveChild(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent)

      Overrides:
        `saveChild` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Overrides:
        `getHeaderClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### getFooterClass

          public java.lang.String getFooterClass()

      Overrides:
        `getFooterClass` in class `javax.faces.component.html.HtmlDataTable`

    - #### isResizable

          public boolean isResizable()

    - #### setResizable

          public void setResizable(boolean resizable)

    - #### isClientOnly

          public boolean isClientOnly()

    - #### setClientOnly

          public void setClientOnly(boolean clientOnly)

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### getNextResizableTblColumnWidth

          public java.lang.String getNextResizableTblColumnWidth()

    - #### resetResizableTblColumnsWidthIndex

          public void resetResizableTblColumnsWidthIndex()

    - #### isScrollFooter

          public boolean isScrollFooter()

    - #### setScrollFooter

          public void setScrollFooter(boolean scrollFooter)

    - #### getResizableColumnWidths

          public java.lang.String getResizableColumnWidths()

    - #### setResizableColumnWidths

          public void setResizableColumnWidths(java.lang.String columnWidths)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.